Summary:	Faenza icon theme for MATE Desktop
Summary(pl.UTF-8):	Motyw ikon Faenza dla środowiska MATE Desktop
Name:		mate-icon-theme-faenza
Version:	1.20.0
Release:	1
License:	GPL v3+
Group:		Themes
Source0:	http://pub.mate-desktop.org/releases/1.20/%{name}-%{version}.tar.xz
# Source0-md5:	846d05c73cca8059a5b1a636f5edcfd3
URL:		http://www.mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	mate-icon-theme >= 1.18
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Faenza icon theme for MATE Desktop.

%description -l pl.UTF-8
Motyw ikon Faenza dla środowiska MATE Desktop.

%package dark
Summary:	Faenza Dark icon theme for MATE Desktop
Summary(pl.UTF-8):	Motyw ikon Faenza Dark dla środowiska MATE Desktop
Group:		Themes
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name} = %{version}-%{release}

%description dark
Faenza Dark icon theme for MATE Desktop

%description dark -l pl.UTF-8
Motyw ikon Faenza Dark dla środowiska MATE Desktop.

%package gray
Summary:	Faenza Gray icon theme for MATE Desktop
Summary(pl.UTF-8):	Motyw ikon Faenza Gray dla środowiska MATE Desktop
Group:		Themes
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-dark = %{version}-%{release}

%description gray
Faenza Gray icon theme for MATE Desktop

%description gray -l pl.UTF-8
Motyw ikon Faenza Gray dla środowiska MATE Desktop.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	install_sh="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

> $RPM_BUILD_ROOT%{_iconsdir}/matefaenza/icon-theme.cache
> $RPM_BUILD_ROOT%{_iconsdir}/matefaenzadark/icon-theme.cache
> $RPM_BUILD_ROOT%{_iconsdir}/matefaenzagray/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache matefaenza

%postun
%update_icon_cache matefaenza

%post	dark
%update_icon_cache matefaenzadark

%postun	dark
%update_icon_cache matefaenzadark

%post	gray
%update_icon_cache matefaenzagray

%postun	gray
%update_icon_cache matefaenzagray

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_iconsdir}/matefaenza
%{_iconsdir}/matefaenza/actions
%{_iconsdir}/matefaenza/apps
%{_iconsdir}/matefaenza/categories
%{_iconsdir}/matefaenza/devices
%{_iconsdir}/matefaenza/emblems
%{_iconsdir}/matefaenza/extras
%{_iconsdir}/matefaenza/mimetypes
%{_iconsdir}/matefaenza/places
%{_iconsdir}/matefaenza/status
%{_iconsdir}/matefaenza/stock
%{_iconsdir}/matefaenza/index.theme
%ghost %{_iconsdir}/matefaenza/icon-theme.cache

%files dark
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_iconsdir}/matefaenzadark
%{_iconsdir}/matefaenzadark/actions
%{_iconsdir}/matefaenzadark/apps
%{_iconsdir}/matefaenzadark/categories
%{_iconsdir}/matefaenzadark/devices
%{_iconsdir}/matefaenzadark/extras
%{_iconsdir}/matefaenzadark/places
%{_iconsdir}/matefaenzadark/status
%{_iconsdir}/matefaenzadark/stock
%{_iconsdir}/matefaenzadark/index.theme
%ghost %{_iconsdir}/matefaenzadark/icon-theme.cache

%files gray
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_iconsdir}/matefaenzagray
%{_iconsdir}/matefaenzagray/actions
%{_iconsdir}/matefaenzagray/index.theme
%ghost %{_iconsdir}/matefaenzagray/icon-theme.cache
%changelog
* Wed Feb 07 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-icon-theme-faenza.git;a=log;h=master

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> b07e36b
- up to 1.20.0

* Sat May 06 2017 Jan Palus <atler@pld-linux.org> 9268d2c
- up to 1.18.1

* Fri Mar 17 2017 Jakub Bogusz <qboosh@pld-linux.org> b81916e
- updated to 1.18.0
- added theme dependencies based on Inherits field

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> db571e6
- up to 1.16.0

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 94f1ca8
- up to 1.14.0

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 743925e
- updated to 1.12.0

* Fri Jun 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 5b28554
- updated to 1.10.0

* Mon Mar 10 2014 Jan Palus <jan.palus@gmail.com> 345c5d4
- up to 1.8.0

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> ca59ad0
- new

